<?php
include 'config.php';
include 'lang.php';
$CurrentHTML = 'Injury';
$CurrentTitle = $injuryTitle;
$CurrentPage = 'Injury';
include 'head.php';
?>

<div style="clear:both; width:555px; margin-left:auto; margin-right:auto; border:solid 1px<?php echo $couleur_contour; ?>">
<div class="titre"><span class="bold-blanc"><?php echo $injuryTitle; ?></span></div>
<div style="padding:0px 0px 0px 0px;">
<table class="tableau">

<?php
$matches = glob($folder.'*'.$playoff.'Injury.html');
$folderLeagueURL = '';
$matchesDate = array_map('filemtime', $matches);
arsort($matchesDate);
foreach ($matchesDate as $j => $val) {
	if((!substr_count($matches[$j], 'PLF') && $playoff == '') || (substr_count($matches[$j], 'PLF') && $playoff == 'PLF')) {
		$folderLeagueURL = substr($matches[$j], strrpos($matches[$j], '/')+1,  strpos($matches[$j], 'Injury')-strrpos($matches[$j], '/')-1);
		break 1;
	}
}
$Fnm = $folder.$folderLeagueURL.'Injury.html';
$b = 0;
$c = 1;
$d = 0;
if(file_exists($Fnm)) {
	$tableau = file($Fnm);
	foreach ($tableau as $cle => $val) {
	//while(list($cle,$val) = each($tableau)) {
		$val = encodeToUtf8($val);
		if(substr_count($val, '<P>(As of')){
			$pos = strpos($val, ')');
			$pos = $pos - 10;
			$val = substr($val, 10, $pos);
			echo '
			<tr><td style="padding-bottom:20px;">'.$allLastUpdate.' '.$val.'</td></tr>';
		}
		if(substr_count($val, 'NAME=')){
			$pos = strpos($val, '</A>');
			$pos = $pos - 23;
			$equipe = substr($val, 23, $pos);
		}
		if(substr_count($val, '<BR><BR><BR><BR>') || substr_count($val, 'suspended')) {
			echo ' 
			<tr class="titre"><td class="text-blanc bold-blanc">'.$equipe.'</td></tr>';
			$b = 0;
			$cpt2 = strlen($val); // Longeur de la variable
			$tmpCpt = substr_count(substr($val, 0, -12), '<BR>') - 1;
			$cpt2 = $cpt2 - (4*$tmpCpt);
			$val = substr($val, 0, $cpt2); // Les <BR> de trop sont retirés
			$cpt3 = substr_count($val, '<BR>'); // Compte le nombre de <BR> restant
			$c = 1;
			$d = 1;
			while($cpt3 != $b) {
				$pos = strpos($val, '<'); // ou est le premier <BR>
				$val2 = substr($val, 0, $pos);
				if(substr_count($val2, 'sidelined')) {
					$aremplacer = array('sidelined', 'weeks', 'months', 'indefinitely', 'day-to-day', '(Injured)');
					$remplace = array($injurySidelined, $injuryWeeks, $injuryMonths, $injuryIndefinitely, $injuryDaytoday, $injuryInjured);
					$val2 = str_replace($aremplacer, $remplace, $val2);
					if($c == 1) $c = 2;
					else $c = 1;
					echo '<tr class="hover'.$c.'"><td>'.$val2.'</td></tr>';
				}
				if(substr_count($val2, 'suspended')) {
						$aremplacer = array('suspended', 'games');
						$remplace = array($injurySuspended, $injuryGames);
						$val2 = str_replace($aremplacer, $remplace, $val2);
						if($c == 1) $c = 2;
						else $c = 1;
						echo '<tr class="hover'.$c.'"><td>'.$val2.'</td></tr>';
				}
				$b++;
				$pos = $pos + 4;
				$cpt = strlen($val);
				$cpt = $cpt - $pos;
				$val = substr($val, $pos, $cpt);
			}
		}
	}
}
else echo '<tr><td>'.$allFileNotFound.' - '.$Fnm.'</td></tr>';
if(!$d)echo '<tr><td>'.$injuryNoInjury.'</td></tr>';
echo '</table></div></div>';
?>

</body>
</html>