<?php
include 'config.php';
include 'lang.php';

$Fnm = '';
$existRnd = 0;
$matches = glob($folder.'*PLF-Round1-Schedule.html');
$folderLeagueURL2 = '';
$matchesDate = array_map('filemtime', $matches);
arsort($matchesDate);
foreach ($matchesDate as $j => $val) {
	if(substr_count($matches[$j], 'PLF')) {
		$folderLeagueURL2 = substr($matches[$j], strrpos($matches[$j], '/')+1,  strpos($matches[$j], 'PLF-Round1-Schedule.html')-strrpos($matches[$j], '/')-1);
		break 1;
	}
}
if(file_exists($folder.$folderLeagueURL2.'PLF-Round1-Schedule.html')) {
	$existRnd = 1;
	if(file_exists($folder.$folderLeagueURL2.'PLF-Round2-Schedule.html')) {
		$existRnd = 2;
		if(file_exists($folder.$folderLeagueURL2.'PLF-Round3-Schedule.html')) {
			$existRnd = 3;
			if(file_exists($folder.$folderLeagueURL2.'PLF-Round4-Schedule.html')) {
				$existRnd = 4;
			}
		}
	}
}

$CurrentHTML = '';
$CurrentTitle = $StandingsTreeTitle;
$CurrentPage = 'StandingsTree';
include 'head.php';

?>

<div style="clear:both; width:800px; margin-left:auto; margin-right:auto; border: solid 1px <?php echo $couleur_contour; ?>;">
<div class="titre"><span class="bold-blanc"><?php echo $StandingsTreeTitle; ?></span></div>
<table class="tableau">
<tr class="tableau-top">
<td style="width:25%"><a style="display:block; width:100%; text-align:center;" class="lien-blanc" href="Schedule.php?plf=1&rnd=1">Round 1</a></td>
<td style="width:25%"><a style="display:block; width:100%; text-align:center;" class="lien-blanc" href="Schedule.php?plf=1&rnd=2">Round 2</a></td>
<td style="width:25%"><a style="display:block; width:100%; text-align:center;" class="lien-blanc" href="Schedule.php?plf=1&rnd=3">Round 3</a></td>
<td style="width:25%"><a style="display:block; width:100%; text-align:center;" class="lien-blanc" href="Schedule.php?plf=1&rnd=4">Round 4</a></td>
</tr><tr>

<?php

$k = 0;
for($j=1;$j<=$existRnd;$j++) {
	echo '<td>';
	$TeamNumber = 100;
	$currentTeamCpt = 0;
	$equipe1 = '';
	$Fnm = $folder.$folderLeagueURL2.'PLF-Round'.$j.'-Schedule.html';
	if(file_exists($Fnm)) {
		for($x=0;$x<$TeamNumber;$x++) {
			$tableau = file($Fnm);
			$k = 0;
			$l = 0;
			$m = 0; // DAY
			$tmpTot1 = 0;
			$tmpTot2 = 0;
			unset($score1);
			unset($score2);
			unset($day);
			foreach ($tableau as $cle => $val) {
			//while(list($cle,$val) = each($tableau)) {
				$val = encodeToUtf8($val);
				if(substr_count($val, 'Day ')){
					$l = 0;
					$m++;
				}
				if(substr_count($val, 'Day 1')){
					$TeamNumber = 0;
					$currentTeamCpt++;
				}
				if($m < 2 && (substr_count($val, 'A HREF=') || substr_count($val, ' at '))){
					$TeamNumber++;
				}
				if($l == 0 && substr_count($val, 'A HREF=')){
					$reste = trim(substr($val, strpos($val, '> ')+1));
					$tmpDay = substr($reste, 0, strpos($reste, ' '));
					$reste = trim(substr($reste, strpos($reste, ' ')));
					$count = strlen($reste);
					$z = 0;
					while( $z < $count ) {
						if( ctype_digit($reste[$z]) ) {
							$pos3 = $z;
							break 1;
						}
						$z++;
					}
					$tmpTeam1 = substr($reste, 0, $pos3-1);
					$reste = trim(substr($reste, $pos3));
					$tmpScore1 = substr($reste, 0, strpos($reste, ' '));
					$reste = trim(substr($reste, strpos($reste, ' ')));
					$z = 0;
					while( $z < $count ) {
						if( ctype_digit($reste[$z]) ) {
							$pos3 = $z;
							break 1;
						}
						$z++;
					}
					$tmpTeam2 = substr($reste, 0, $pos3-1);
					$reste = trim(substr($reste, $pos3));
					$tmpScore2 = $reste;
				
					if($k == 0) {
						if($currentTeamCpt == $TeamNumber) {
							$k = 1;
							$l = 1;
							unset($score1);
							unset($score2);
							$score1 = array();
							$score2 = array();
							$day = array();
							$equipe1 = $tmpTeam1;
							$equipe2 = $tmpTeam2;
							$day[$m] = $tmpDay;
							$score1[$m] = $tmpScore1;
							$score2[$m] = $tmpScore2;
						}
					}
					else {
						if($equipe1 == $tmpTeam1) {
							$day[$m] = $tmpDay;
							$score1[$m] = $tmpScore1;
							$score2[$m] = $tmpScore2;
							$l = 1;
						}
						if($equipe1 == $tmpTeam2) {
							$day[$m] = $tmpDay;
							$score1[$m] = $tmpScore2;
							$score2[$m] = $tmpScore1;
							$l = 1;
						}
					}
				}
				if($l == 0 && substr_count($val, ' at ')){
					$reste = trim(str_replace('<br>','', $val));
					$reste = trim(str_replace('<BR>','', $reste));
					$tmpDay = substr($reste, 0, strpos($reste, ' '));
					$reste = trim(substr($reste, strpos($reste, ' ')));
					$tmpTeam1 = substr($reste, 0, strpos($reste, ' at '));
					$reste = trim(substr($reste, strpos($reste, ' at ')+4));
					$tmpTeam2 = $reste;
				
					if($k == 0) {
						if($currentTeamCpt == $TeamNumber) {
							$k = 1;
							$l = 1;
							$day = array();
							$equipe1 = $tmpTeam1;
							$equipe2 = $tmpTeam2;
							$day[$m] = $tmpDay;
						}
					}
					else {
						if($equipe1 == $tmpTeam1) {
							$day[$m] = $tmpDay;
							$l = 1;
						}
						if($equipe1 == $tmpTeam2) {
							$day[$m] = $tmpDay;
							$l = 1;
						}
					}
				}
			}
			if($TeamNumber != 0) {
				echo '<table class="tableau" style="border:1px solid '.$couleur_contour.'; width:190px;"><tr class="tableau-top">';
				echo '<td></td>';
				for($w=1;$w<=$m;$w++) {
					if(isset($day[$w]) && isset($score1[$w])) echo '<td style="width:8px; padding-left:2px; padding-right:2px;"><a class="lien-blanc" href="games.php?num='.$day[$w].'&rnd='.$j.'" style="display:block; width:100%;">'.$w.'</a></td>';
					else echo '<td style="width:8px; padding-left:2px; padding-right:2px;">'.$w.'</td>';
				}
				echo '<td style="width:8px; padding-left:2px; padding-right:2px;"></td>';
				echo '</tr>';
				$bold = '';
				if($currentTeam == $equipe2) $bold = 'font-weight:bold;';
				echo '<tr class="hover2"><td style="'.$bold.'"><a class="lien-noir" style="font-size:12px; display:block; width:100%;" href="LinkedRosters.php?team='.$equipe2.'&plf=1">'.$equipe2.'</a></td>';
				for($w=1;$w<=$m;$w++) {
					if(!isset($score2[$w])) $score2[$w] = '';
					else if($score2[$w] > $score1[$w]) $tmpTot2++;
					echo '<td style="width:8px; padding-left:2px; padding-right:2px;'.$bold.'">'.$score2[$w].'</td>';
				}
				echo '<td style="font-weight:bold;">'.$tmpTot2.'</td>';
				echo '</tr>';
				$bold = '';
				if($currentTeam == $equipe1) $bold = 'font-weight:bold;';
				echo '<tr class="hover1"><td style="'.$bold.'"><a class="lien-noir" style="font-size:12px; display:block; width:100%;" href="LinkedRosters.php?team='.$equipe1.'&plf=1">'.$equipe1.'</a></td>';
				for($w=1;$w<=$m;$w++) {
					if(!isset($score1[$w])) $score1[$w] = '';
					else if($score2[$w] < $score1[$w]) $tmpTot1++;
					echo '<td style="width:8px; padding-left:2px; padding-right:2px;'.$bold.'">'.$score1[$w].'</td>';
				}
				echo '<td style="font-weight:bold;">'.$tmpTot1.'</td>';
				echo '</tr>';
				echo '</table>';
			}
			else echo "Errors!";
		}
	}
	else { 
		echo '<tr><td>'.$allFileNotFound.' - '.$Fnm.'</td></tr>';
	}
	echo '</td>';
}
?>
</tr></table></div>

</body>
</html>