<?php
$currentTeam = '';
//session_start();
if(isset($_SESSION["team"])) $currentTeam = $_SESSION["team"];
ob_start();
if(isset($_COOKIE['team'])) $currentTeam = $_COOKIE['team'];
ob_end_flush();

if(!isset($PageLink)) $PageLink = '';
if($PageLink != '') {
	$oldPath = getcwd();
	chdir($PageLink);
}

include 'config.php';
include 'lang.php';
include 'MiniStyle.php';
?>

<div style="width:100%; text-align:center; margin:20px 0px;">
<div style="display:inline-block;">

<div style="text-align:left; width:555px; border:solid 1px<?php echo $couleur_contour; ?>">

<?php
include 'phpGetAbbr.php'; // Output $TSabbr
if(!function_exists('firstNumber')) {
	function firstNumber($string) {
		$count = strlen($string);
		$start = 0;
		for($j=0;$j<$count;$j++) {
			if( ctype_digit($string[$j]) ) {
				$start = $j;
				break 1;
			}
		}
		return substr($string, $start);
	}
}

if(!isset($playoff)) $playoff = '';
if($playoff == 1) {
	$playoff = 'PLF';
}
$matches = glob($folder.'*'.$playoff.'Individual.html');
$folderLeagueURL = '';
$matchesDate = array_map('filemtime', $matches);
arsort($matchesDate);
foreach ($matchesDate as $j => $val) {
	if((!substr_count($matches[$j], 'PLF') && $playoff == '') || (substr_count($matches[$j], 'PLF') && $playoff == 'PLF')) {
		$folderLeagueURL = substr($matches[$j], strrpos($matches[$j], '/')+1,  strpos($matches[$j], 'Individual')-strrpos($matches[$j], '/')-1);
		break 1;
	}
}

$Fnm = $folder.$folderLeagueURL.'Individual.html';
$a = 0;
$c = 1;
$i = 0;
$j = 0;

if(isset($goalj)) unset($goalj);
if(isset($spj)) unset($spj);

if (file_exists($Fnm)) {
	$tableau = file($Fnm);
	foreach ($tableau as $cle => $val) {
	//while(list($cle,$val) = each($tableau)) {
		$val = encodeToUtf8($val);
		if(substr_count($val, '<BR>') && !substr_count($val, '(') && !substr_count($val, '<BR><BR>')) {
			$a++;
		}
		// Save %
		if($a == 33 && $i < 5) {
			$pos = strpos($val, '(');
			$pos2 = strpos($val, ')');
			$spj[$i] = substr($val, 0, $pos);
			$pos++;
			$pos2 = $pos2 - $pos;
			$spe[$i] = substr($val, $pos, $pos2);
			$tmpVal = firstNumber($val);
			$spm[$i] = trim(substr($tmpVal, 0, strpos($tmpVal, ' ')));
			$spg[$i] = trim(substr($tmpVal, strpos($tmpVal, ' ')));
			$i++;
		}
		// Points D
		if( ($a == 21 || $a == 23 || $a == 25 || $a == 27 ) && $i < 5) {
			$pos = strpos($val, '(');
			$pos2 = strpos($val, ')');
			$points[$j]['name'] = substr($val, 0, $pos);
			$pos++;
			$pos2 = $pos2 - $pos; 
			$points[$j]['team'] = substr($val, $pos, $pos2);
			$tmpVal = firstNumber($val);
			$points[$j]['game'] = trim(substr($tmpVal, 0, strpos($tmpVal, ' ')));
			
			$tmpPoints = trim(substr($tmpVal, strpos($tmpVal, ' ')));
			$points[$j]['goal'] =  substr($tmpPoints, 0, strpos($tmpPoints, '-'));
			$points[$j]['poin'] =  substr($tmpPoints, strrpos($tmpPoints, '-')+1);
			$i++;
			$j++;
		}
		// Buts
		if($a == 1 && $i < 5) {
			$pos = strpos($val, '(');
			$pos2 = strpos($val, ')');
			$goalj[$i] = substr($val, 0, $pos);
			$pos++;
			$pos2 = $pos2 - $pos; 
			$goale[$i] = substr($val, $pos, $pos2);
			$tmpVal = firstNumber($val);
			$goalm[$i] = trim(substr($tmpVal, 0, strpos($tmpVal, ' ')));
			$goalg[$i] = trim(substr($tmpVal, strpos($tmpVal, ' ')));
			$i++;
		}
		if(substr_count($val, '<PRE>') && !substr_count($val, '<TD>')){
			$a++;
			$i = 0;
		}
	}
	

	$i = 0;
	if(isset($goalj)) {
		echo '<div style="float:left;">
		<table class="MiniTable" style="width:175px">
		<tr class="MiniTitle"><td class="text-blanc bold-blanc" colspan="3">'.$top5Goals.'</td></tr>
		<tr class="MiniTableTop">
		<td></td>
		<td style="width:40px; text-align:right;">'.$individualTM.'</td>
		<td style="width:30px; text-align:right;">'.$individualG.'</td>
		</tr>';
		for($i=0;$i<count($goalj);$i++){
			if($c == 1) $c = 2;
			else $c = 1;
			$bold = '';
			if(isset($TSabbr) && $goale[$i] == $TSabbr) $bold = 'font-weight:bold;';
			echo '
			<tr class="hover'.$c.'">
			<td style="'.$bold.'">'.$goalj[$i].'</td>
			<td style="text-align:right;'.$bold.'">'.$goale[$i].'</td>
			<td style="text-align:right;'.$bold.'">'.$goalg[$i].'</td>
			</tr>';
		}
		echo '</table></div>';
		
		$c = 1;
		$i = 0;
		echo '<div style="float:left; margin-left:15px;">
		<table class="MiniTable" style="width:175px">
		<tr class="MiniTitle"><td class="text-blanc bold-blanc" colspan="3">'.$top5Points.'</td></tr>
		<tr class="MiniTableTop">
		<td></td>
		<td style="width:40px; text-align:right;">'.$individualTM.'</td>
		<td style="width:50px; text-align:right;">'.$top5Pts.'</td>
		</tr>';
		
		$pts_point  = array_column($points, 'poin');
		$pts_goals = array_column($points, 'goal');
		array_multisort($pts_point, SORT_DESC, $pts_goals, SORT_DESC, $points);
	
		for($i=0;$i<5;$i++){
			if($c == 1) $c = 2;
			else $c = 1;
			$bold = '';
			if(isset($TSabbr) && $points[$i]['team'] == $TSabbr) $bold = 'font-weight:bold;';
			echo '
			<tr class="hover'.$c.'">
			<td style="'.$bold.'">'.$points[$i]['name'].'</td>
			<td style="text-align:right;'.$bold.'">'.$points[$i]['team'].'</td>
			<td style="text-align:right;'.$bold.'">'.$points[$i]['poin'].'</td>
			</tr>';
		}
		
		echo '</table></div>';
		
		$c = 1;
		$i = 0;
		echo '<div style="float:right;">
		<table class="MiniTable" style="width:175px">
		<tr class="MiniTitle"><td class="text-blanc bold-blanc" colspan="3">'.$top5SavePct.'</td></tr>
		<tr class="MiniTableTop">
		<td></td>
		<td style="width:40px; text-align:right;">'.$individualTM.'</td>
		<td style="width:30px; text-align:right;">%</td>
		</tr>';
		for($i=0;$i<count($spj);$i++){
			if($c == 1) $c = 2;
			else $c = 1;
			$bold = '';
			if(isset($TSabbr) && $spe[$i] == $TSabbr) $bold = 'font-weight:bold;';
			echo '
			<tr class="hover'.$c.'">
			<td style="'.$bold.'">'.$spj[$i].'</td>
			<td style="text-align:right;'.$bold.'">'.$spe[$i].'</td>
			<td style="text-align:right;'.$bold.'">'.$spg[$i].'</td>
			</tr>';
		}
		echo '</table></div>';
	}
	else echo "Season / Playoff isn't started!";
}
else echo $allFileNotFound.' - '.$Fnm;

echo '<div style="clear:both"></div></div>';

if($PageLink != '') {
	chdir($oldPath);
}

?>
</div>
</div>